GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

### - c -

- CanCode() : gdcm::AudioCodec , gdcm::Coder , gdcm::JPEG2000Codec , gdcm::PDFCodec , gdcm::PNMCodec , gdcm::JPEGCodec , gdcm::PVRGCodec , gdcm::RAWCodec , gdcm::ImageCodec , gdcm::JPEGLSCodec , gdcm::RLECodec , gdcm::KAKADUCodec
- CanDecode() : gdcm::ImageCodec , gdcm::JPEG2000Codec , gdcm::JPEGCodec , gdcm::JPEGLSCodec , gdcm::KAKADUCodec , gdcm::PDFCodec , gdcm::PNMCodec , gdcm::PVRGCodec , gdcm::RAWCodec , gdcm::RLECodec , gdcm::AudioCodec , gdcm::Decoder , gdcm::DeltaEncodingCodec
- CanDisplay() : gdcm::VR
- CanEmptyTag() : gdcm::Anonymizer
- CanRead() : gdcm::Reader
- CanReadFile() : vtkGDCMImageReader , itk::GDCMImageIO2
- CanReadImage() : gdcm::StreamImageReader
- CanStoreLossy() : gdcm::TransferSyntax
- CanWriteFile() : gdcm::StreamImageWriter , itk::GDCMImageIO2
- CEcho() : gdcm::CompositeNetworkFunctions
- CFind() : gdcm::CompositeNetworkFunctions
- Change() : gdcm::FileExplicitFilter , gdcm::ImageChangePhotometricInterpretation , gdcm::ImageChangePlanarConfiguration , gdcm::ImageChangeTransferSyntax
- ChangeFMI() : gdcm::FileExplicitFilter
- ChangeMonochrome() : gdcm::ImageChangePhotometricInterpretation
- CharacterDataHandler() : gdcm::TableReader , gdcm::XMLDictReader , gdcm::XMLPrivateDictReader
- CheckEvent() : gdcm::DataEvent , gdcm::Event , gdcm::ProgressEvent , gdcm::DataSetEvent , gdcm::AnonymizeEvent
- CheckFileMetaInformationOff() : gdcm::Writer
- CheckFileMetaInformationOn() : gdcm::Writer
- Clear() : gdcm::Macros , gdcm::Module , gdcm::Modules , gdcm::Bitmap , gdcm::LookupTable , gdcm::SerieHelper , vtkMedicalImageProperties , vtkGDCMMedicalImageProperties , vtkRTStructSetProperties , gdcm::ByteValue , gdcm::DataElement , gdcm::DataSet , gdcm::Item , gdcm::Preamble , gdcm::SequenceOfFragments , gdcm::SequenceOfItems , gdcm::Value , gdcm::IOD , gdcm::IODs , gdcm::Macro
- ClearSkipTags() : gdcm::Scanner
- ClearTags() : gdcm::Scanner
- CMove() : gdcm::CompositeNetworkFunctions
- Code() : gdcm::Coder , gdcm::JPEG2000Codec , gdcm::JPEGCodec , gdcm::JPEGLSCodec , gdcm::KAKADUCodec , gdcm::PVRGCodec , gdcm::RAWCodec , gdcm::RLECodec
- CodeString() : gdcm::CodeString
- Command() : gdcm::Command
- CommandDataSet() : gdcm::CommandDataSet
- Compatible() : gdcm::VR , gdcm::VM
- Compute() : gdcm::MD5 , gdcm::SHA1
- ComputeByteLength() : gdcm::SequenceOfFragments
- ComputeDataElement() : gdcm::DataSet
- ComputeDataSetMediaStorageSOPClass() : gdcm::FileMetaInformation
- ComputeDataSetTransferSyntax() : gdcm::FileMetaInformation
- ComputeDistAlongNormal() : gdcm::DirectionCosines
- ComputeFile() : gdcm::MD5 , gdcm::SHA1
- ComputeFileMD5() : gdcm::Testing
- ComputeGroupLength() : gdcm::DataSet
- ComputeInterceptSlopePixelType() : gdcm::Rescaler
- ComputeLength() : gdcm::SequenceOfFragments , gdcm::SequenceOfItems
- ComputeLossyFlag() : gdcm::Bitmap
- ComputeMD5() : gdcm::Testing
- ComputeMOSAICDimensions() : gdcm::SplitMosaicFilter
- ComputeNumberOfSurfaces() : gdcm::SurfaceWriter
- ComputeOffsetTable() : gdcm::JPEGCodec
- ComputePixelAspectRatioFromPixelSpacing() : gdcm::Spacing
- ComputePixelTypeFromMinMax() : gdcm::Rescaler
- ComputeSpacingFromImagePositionPatient() : gdcm::ImageHelper
- ComputeVR() : gdcm::DataSetHelper
- ConcatenatePDVBlobs() : gdcm::network::PresentationDataValue
- ConstCharWrapper() : gdcm::ConstCharWrapper
- ConstructAbortPDU() : gdcm::network::PDUFactory
- ConstructCEchoRQ() : gdcm::network::CompositeMessageFactory
- ConstructCFindRQ() : gdcm::network::CompositeMessageFactory
- ConstructCMoveRQ() : gdcm::network::CompositeMessageFactory
- ConstructCStoreRQ() : gdcm::network::CompositeMessageFactory
- ConstructCStoreRSP() : gdcm::network::CompositeMessageFactory
- ConstructFromString() : gdcm::TagPath
- ConstructFromTagList() : gdcm::TagPath
- ConstructPDU() : gdcm::network::PDUFactory
- ConstructPDV() : gdcm::network::CEchoRSP , gdcm::network::CFindRQ , gdcm::network::CMoveRQ , gdcm::network::CStoreRSP , gdcm::network::CMoveRSP , gdcm::network::CStoreRQ , gdcm::network::CFindCancelRQ , gdcm::network::BaseCompositeMessage , gdcm::network::CFindRSP , gdcm::network::CEchoRQ , gdcm::network::CMoveCancelRq
- ConstructQuery() : gdcm::CompositeNetworkFunctions
- ConstructReleasePDU() : gdcm::network::PDUFactory
- Convert() : gdcm::DictConverter , gdcm::ImageConverter
- ConvertRGBToPaletteColor() : gdcm::IconImageGenerator
- ConvertToCXX() : gdcm::DictConverter
- ConvertToXML() : gdcm::DictConverter
- Create() : gdcm::Preamble
- CreateCEchoPDU() : gdcm::network::PDUFactory
- CreateCFindPDU() : gdcm::network::PDUFactory
- CreateCMovePDU() : gdcm::network::PDUFactory
- CreateCStoreRQPDU() : gdcm::network::PDUFactory
- CreateCStoreRSPPDU() : gdcm::network::PDUFactory
- CreateDefaultUniqueSeriesIdentifier() : gdcm::SerieHelper
- CreateUniqueSeriesIdentifier() : gdcm::SerieHelper
- Cross() : gdcm::DirectionCosines
- CrossDot() : gdcm::DirectionCosines
- CryptographicMessageSyntax() : gdcm::CryptographicMessageSyntax
- CSAElement() : gdcm::CSAElement
- CSAHeader() : gdcm::CSAHeader
- CSAHeaderDict() : gdcm::CSAHeaderDict
- CSAHeaderDictEntry() : gdcm::CSAHeaderDictEntry
- CStore() : gdcm::CompositeNetworkFunctions
- Curve() : gdcm::Curve